#-----------------------------------------------------------------------------
# 
#              Copyright 2000 Visible Systems Corporation
#                             All Rights Reserved
#
#
# This script, and all others related to the Razor tool suite, are the
# property of Visible Systems Corporation and may be copied/modified to 
# meet your site specific needs.
#
#
# Use of this product implies acceptance of the following:
# 
# THE PRODUCTS SUPPLIED HEREUNDER ARE FURNISHED "AS IS".  VISIBLE SYSTEMS 
# CORPORATION DISCLAIMS WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF FITNESS.  
# IN NO EVENT WILL VISIBLE SYSTEMS CORPORATION BE LIABLE FOR DAMAGES TO 
# PROPERTY OR ANY DAMAGES RESULTING FROM LOSS OF DATA, PROFITS OR USE OF 
# PRODUCTS, OR FOR ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.  THIS LIMITATION OF VISIBLE SYSTEMS 
# CORPORATION LIABILITY WILL APPLY REGARDLESS OF THE FORM OF ACTION, WHETHER 
# IN CONTRACT OR TORT INCLUDING NEGLIGENCE.  THE RECIPIENT AGREES TO HOLD 
# VISIBLE SYSTEMS CORPORATION HARMLESS AGAINST ANY CLAIMS INCLUDING COURT 
# COSTS AND LEGAL EXPENSES RELATING TO THE PRODUCTS FURNISHED BY VISIBLE 
# SYSTEMS CORPORATION.
# 
#-----------------------------------------------------------------------------
#
# Notes...
#
# This nawk script will take as input, the output of an sccs prt command
# and create a History file output.  The third parameter on the input
# line is the state at which the file currently exists.
#
#
# local_version = @(#) 1.8 00/02/29 18:24:39 rz_inject.awk
#
# Usage: nawk -f rz_inject.awk file state 
#
#
##############################################################################

BEGIN {
	state = ARGV[2];
	ARGV[2] = "";
	i = 0;
	}

/^D / {
	#
	# Check to see if it is a branch.  If so, we'll skip it.
	# Man I hate branches!  Nothing but headaches!  <MTD>
	#
	split($0, a);
	j = split(a[2], b, ".");
	if (j != 2) 
		{
		print "Aaargh!  There's a branch in here.  I'm gonna forget I ever saw that." > "/dev/tty"
		next;
		}
		
	i++;
	info[i] = $0;
	got_info = 1;
	next;
	}
	
	{
	if (got_info)
		{
		got_info = 0;
		comment[i] = $0;
		next;
		}
	}

END {
#
# Now that we have the information in the info and comment arrays,
# turn it into a History file entry.
#

	for (j=i; j>0; j--)
		{
		split(info[j], a);
	
		if (j == i)
			action = "INTRODUCED";
		else
			action = "CHECK-IN";
			
		printf("%s\t%s\t%s\t%s\t%s,%s\n",
			action, a[5], a[2], state, a[3], a[4]);
	
		printf("##TITLE:  %s\n\n", comment[j]);
	
		}
	}
